package com.caimei.module.base.entity.bo;

import lombok.Data;

import java.io.Serializable;

/**
 * Description
 *
 * @author : Charles
 * @date : 2020/6/8
 */
@Data
public class SearchPriceVO implements Serializable {
    /**
     * 商品productID
     */
    private Integer productId;
    /**
     * 供应商ID
     */
    private Integer supplierId;
    /**
     * 价格（计算后）
     */
    private Double price;
    /**
     * 最小购买量
     */
    private Integer minBuyNumber;
    /**
     * 是否公开机构价 0公开价格 1不公开价格
     */
    private Integer priceFlag;
    /**
     * 阶梯价标志
     */
    private Integer ladderPriceFlag;
    /**
     * 市场价
     */
    private Double normalPrice;
    /**
     * 成本价
     */
    private Double costPrice;
    /**
     * 比例成本百分比
     */
    private Double costProportional;
    /**
     * 成本价选中标志：1固定成本 2比例成
     */
    private Integer costCheckFlag;
    /**
     * 用户身份: 2-会员机构, 4-普通机构
     */
    private Integer userIdentity;

    /**
     * 购买数量: 1逐步增长,2以起订量增长(起订量的倍数增长)
     */
    private Integer step;
    /**
     * 商品是否处于活动状态 1是 0否
     */
    private Integer actStatus;
    /**
     * 促销活动
     */
    private PromotionsVo promotions;

    private static final long serialVersionUID = 1L;
}
