package com.caimei.module.base.entity.vo;

import com.caimei.module.base.entity.bo.PromotionsVo;
import com.caimei.module.base.entity.po.Shop;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : plf
 * @date : 2020\3\17 0017
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class ShopVo extends Shop {

    /**
     * 购物车总的商品价格
     */
    private BigDecimal totalPrice;

    /**
     * 商品集合
     */
    private List<ProductVo> productsList;

    /**
     * 经营范围
     */
    private String[] businessScopeArray;

    /**
     * 手机验证码
     */
    private String mobileCode;

    /**
     * 供应商Banner图
     */
    private List<ShopBannerVO> shopBannerList;

    /**
     * 生产许可证
     */
    private String productionLicence;

    /**
     * 卫生许可证
     */
    private String hygienicLicense;

    /**
     * 税务许可证
     */
    private String taxLicense;

    /**
     * 荣誉证书
     */
    private String certificateHonor;

    /**
     * 产品证书
     */
    private String productCertification;

    /**
     * 省市区地址
     */
    private String provincialAddress;

    /**
     * 促销活动
     */
    private PromotionsVo promotions;

    /**
     * 减免价格
     */
    private BigDecimal reducedPrice;
}
